import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Random;

/**
 * @author: pashka
 */
public class Tests {

    public static void main(String[] args) {
        genSamples();
        for (int i = 1; i <= 10; i++) {
            int n = (int)Math.round(Math.exp(Math.log(100000) * i / 10));
            genTest(n);
        }
    }

    static Random random = new Random(123234248921313L);

    private static void genSamples() {
        printTest(new long[] {1, 2, 3});
        printTest(new long[] {-3, 4, 6, -8, 9});
    }

    private static void genTest(int n) {
        long[] a = new long[n];
        for (int i = 0; i < n; i++) {
            if (n > 1000) {
                a[i] = random.nextLong();
            } else {
                a[i] = random.nextInt(2001) - 1000;
            }
        }
        printTest(a);
    }

    static int tn = 0;
    private static void printTest(long[] a) {
        tn++;
        PrintWriter out;
        try {
            out = new PrintWriter("" + (tn / 10) + (tn % 10));
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        }
        out.println(a.length);
        for (int i = 0; i < a.length; i++) {
            out.print(a[i] + " ");
        }
        out.println();
        out.close();
    }
}
